Cowdidocs

Search User by Tag

Find a user by their unique tag for peer-to-peer transfers

GET
/v1/users

Query Parameters

tag*string

User tag to search for

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users?tag=%40john-doe-1234"
{  "id": "b50e8400-e29b-41d4-a716-446655440000",  "resource_id": "usr_5n1t201rmv87aae5j4csam8000",  "first_name": "John",  "last_name": "Doe",  "tag": "@johnd1234"}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "id": "b50e8400-e29b-41d4-a716-446655440000",  "resource_id": "usr_5n1t201rmv87aae5j4csam8000",  "first_name": "John",  "last_name": "Doe",  "tag": "@johnd1234"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}